package com.ruoyi.project.cui.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 容器清单对象 t_pvessel
 *
 * @author ruoyi
 * @date 2020-12-03
 */
public class TPvessel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private Long serialnumber;

    /** 位号 */
    @Excel(name = "位号")
    private String tagno;

    /** 区域划分 */
    @Excel(name = "区域划分")
    private String area;

    /** 工艺负责人 */
    @Excel(name = "工艺负责人")
    private String areaowner;

    /** 类别 */
    @Excel(name = "类别")
    private String catalogy;

    /** 名称 */
    @Excel(name = "名称")
    private String description;

    /** 装置 */
    @Excel(name = "单元", dictType = "UNIT")
    private String unit;

    /** 制造单位 */
    @Excel(name = "制造单位")
    private String manufactory;

    /** 尺寸 */
    @Excel(name = "尺寸")
    private String sizes;

    /** 材料（管/壳） */
    @Excel(name = "材料（管/壳）")
    private String stuff;

    /** 介质（管/壳） */
    @Excel(name = "介质（管/壳）")
    private String medium;

    /** 设计压力MPa（管/壳） */
    @Excel(name = "设计压力MPa（管/壳）")
    private String designpressure;

    /** 操作压力MPa（管/壳） */
    @Excel(name = "操作压力MPa（管/壳）")
    private String operationpressure;

    /** 设计温度℃（管/壳） */
    @Excel(name = "设计温度℃（管/壳）")
    private String designtemp;

    /** 材质 */
    @Excel(name = "材质")
    private String material;

    /** 操作温度℃（管/壳） */
    @Excel(name = "工作温度℃（管/壳）")
    private String operationtemp;

    /** 涂层状况及年限 */
    @Excel(name = "涂层状况及年限")
    private String coatingage;

    /** 保温状况 */
    @Excel(name = "保温状况")
    private String jacketing;

    /** 伴热状况 */
    @Excel(name = "伴热状况")
    private String heattracing;

    /** 外部环境 */
    @Excel(name = "外部环境")
    private String exterenv;

    /** 绝热材料 */
    @Excel(name = "绝热材料")
    private String insulatingmaterial;

    /** 管道外径 */
    @Excel(name = "管道外径")
    private String outsidediameter;

    /** 投用日期 */
    @Excel(name = "投用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date servicedate;

    /** 风险等级 */
    @Excel(name = "风险等级")
    private String risk;

    /** CUI完成情况 */
    @Excel(name = "CUI完成情况")
    private String cuistatus;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setSerialnumber(Long serialnumber)
    {
        this.serialnumber = serialnumber;
    }

    public Long getSerialnumber()
    {
        return serialnumber;
    }
    public void setTagno(String tagno)
    {
        this.tagno = tagno;
    }

    public String getTagno()
    {
        return tagno;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setAreaowner(String areaowner)
    {
        this.areaowner = areaowner;
    }

    public String getAreaowner()
    {
        return areaowner;
    }
    public void setCatalogy(String catalogy)
    {
        this.catalogy = catalogy;
    }

    public String getCatalogy()
    {
        return catalogy;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setManufactory(String manufactory)
    {
        this.manufactory = manufactory;
    }

    public String getManufactory()
    {
        return manufactory;
    }
    public void setSizes(String sizes)
    {
        this.sizes = sizes;
    }

    public String getSizes()
    {
        return sizes;
    }
    public void setStuff(String stuff)
    {
        this.stuff = stuff;
    }

    public String getStuff()
    {
        return stuff;
    }
    public void setMedium(String medium)
    {
        this.medium = medium;
    }

    public String getMedium()
    {
        return medium;
    }
    public void setDesignpressure(String designpressure)
    {
        this.designpressure = designpressure;
    }

    public String getDesignpressure()
    {
        return designpressure;
    }
    public void setOperationpressure(String operationpressure)
    {
        this.operationpressure = operationpressure;
    }

    public String getOperationpressure()
    {
        return operationpressure;
    }
    public void setDesigntemp(String designtemp)
    {
        this.designtemp = designtemp;
    }

    public String getDesigntemp()
    {
        return designtemp;
    }
    public void setMaterial(String material)
    {
        this.material = material;
    }

    public String getMaterial()
    {
        return material;
    }
    public void setOperationtemp(String operationtemp)
    {
        this.operationtemp = operationtemp;
    }

    public String getOperationtemp()
    {
        return operationtemp;
    }
    public void setCoatingage(String coatingage)
    {
        this.coatingage = coatingage;
    }

    public String getCoatingage()
    {
        return coatingage;
    }
    public void setJacketing(String jacketing)
    {
        this.jacketing = jacketing;
    }

    public String getJacketing()
    {
        return jacketing;
    }
    public void setHeattracing(String heattracing)
    {
        this.heattracing = heattracing;
    }

    public String getHeattracing()
    {
        return heattracing;
    }
    public void setExterenv(String exterenv)
    {
        this.exterenv = exterenv;
    }

    public String getExterenv()
    {
        return exterenv;
    }
    public void setInsulatingmaterial(String insulatingmaterial)
    {
        this.insulatingmaterial = insulatingmaterial;
    }

    public String getInsulatingmaterial()
    {
        return insulatingmaterial;
    }
    public void setOutsidediameter(String outsidediameter)
    {
        this.outsidediameter = outsidediameter;
    }

    public String getOutsidediameter()
    {
        return outsidediameter;
    }
    public void setServicedate(Date servicedate)
    {
        this.servicedate = servicedate;
    }

    public Date getServicedate()
    {
        return servicedate;
    }
    public void setRisk(String risk)
    {
        this.risk = risk;
    }

    public String getRisk()
    {
        return risk;
    }
    public void setCuistatus(String cuistatus)
    {
        this.cuistatus = cuistatus;
    }

    public String getCuistatus()
    {
        return cuistatus;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("serialnumber", getSerialnumber())
            .append("tagno", getTagno())
            .append("area", getArea())
            .append("areaowner", getAreaowner())
            .append("catalogy", getCatalogy())
            .append("description", getDescription())
            .append("unit", getUnit())
            .append("manufactory", getManufactory())
            .append("sizes", getSizes())
            .append("stuff", getStuff())
            .append("medium", getMedium())
            .append("designpressure", getDesignpressure())
            .append("operationpressure", getOperationpressure())
            .append("designtemp", getDesigntemp())
            .append("material", getMaterial())
            .append("operationtemp", getOperationtemp())
            .append("coatingage", getCoatingage())
            .append("jacketing", getJacketing())
            .append("heattracing", getHeattracing())
            .append("exterenv", getExterenv())
            .append("insulatingmaterial", getInsulatingmaterial())
            .append("outsidediameter", getOutsidediameter())
            .append("servicedate", getServicedate())
            .append("risk", getRisk())
            .append("cuistatus", getCuistatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .toString();
    }
}
